require 'rubygems'
require 'selenium-webdriver'

require_relative "../../helpers/entry_form"

class Lipids < EntryForm

  DATE = "input[name='date']"
  DATE_BUTTON = "div[name='date'] > div > div > span > button"
  TOTAL_SERUM_CHOLESTEROL = "input[name='Total Serum Cholesterol']"
  LDL_CHOLESTEROL = "input[name='Low-Density Lipoprotein (LDL)']"
  HDL_CHOLESTEROL = "input[name='High-Density Lipoprotein (HDL)']"
  TRIGLYCERIDES = "input[name='Triglycerides']"
  FASTING="select[name='fasting']"
  NOTE = "textarea[name='Note']"
  NOTE_CHARACTER_COUNTER = "span[ng-if='characterCounter']"
  HEADER = "Cholesterol/Lipid"
  ADD_HEADER = "Add Cholesterol/Lipid Entry"
  EDIT_HEADER = "Edit Cholesterol/Lipid Entry"

  def initialize(driver)
    super(driver);
  end

  def getScreenContent()
    return getElement(:css, "form[name='form']").text()
  end

end